当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 软件安装求救!!
帖子发表于 : 2009-06-14 11:17 

注册: 2009-05-24 19:34
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
jack@jack-desktop:~/bioI/probaligngui_beta_1.1$ ./install.sh
make:进入目录'/home/jack/bioI/probaligngui_beta_1.1/probalign/src'
g++ -O3 -W -Wall -funroll-loops -lm -o ../bin/probalign Main.cc PostProbs.cc ComputeAlignment.cc ReadMatrix.cc
Main.cc: In function ‘MultiSequence* DoAlign(MultiSequence*)’:
Main.cc:276: 错误: ‘strlen’在此作用域中尚未声明
Main.cc: In function ‘bool GetInteger(char*, int*)’:
Main.cc:422: 错误: ‘LONG_MAX’在此作用域中尚未声明
Main.cc:422: 错误: ‘LONG_MIN’在此作用域中尚未声明
Main.cc:424: 错误: ‘INT_MIN’在此作用域中尚未声明
Main.cc:424: 错误: ‘INT_MAX’在此作用域中尚未声明
Main.cc: In function ‘SafeVector<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > ParseParams(int, char**)’:
Main.cc:522: 错误: ‘strcmp’在此作用域中尚未声明
Main.cc:537: 错误: ‘strcpy’在此作用域中尚未声明
Main.cc:745: 错误: ‘strcpy’在此作用域中尚未声明
make: *** [../bin/probalign] 错误 1
make:离开目录“/home/jack/bioI/probaligngui_beta_1.1/probalign/src”

安装一个软件时出现的问题,请高手帮忙看看!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 软件安装求救!!
帖子发表于 : 2009-06-14 11:31 
头像

注册: 2005-10-25 13:54
帖子: 272
送出感谢: 0 次
接收感谢: 0 次
你到底想安装什么软件。至少你把要编译的软件名子告诉大家吧。每个源代码包里通常有Readme和install两个文件。请仔细阅读这两个文件里的内容,它们会告诉你如何安装。


_________________
Full Circle中文杂志 | Ubuntu社区独立发行的电子月刊
http://www.freeearth.org.cn


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 软件安装求救!!
帖子发表于 : 2009-06-14 16:11 

注册: 2009-05-24 19:34
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
软件是probalign(核酸或蛋白质序列对位排列程序),里面的readme文件直接说双击install.sh,
我在装probcons(核酸或蛋白质序列对位排列程序)时也出现了上述问题。但是可以通过新立得安装。但是probalign新立得里面没有,只能源码装。出现上述编译不成功可能是缺了一些包。
那位高手知道症结所在???
以下是probalign的下载地址,http://probalign.njit.edu/standalone.html。我只装上了gui的界面,软件没有装成功。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 软件安装求救!!
帖子发表于 : 2009-06-14 21:00 
头像

注册: 2005-10-25 13:54
帖子: 272
送出感谢: 0 次
接收感谢: 0 次
楼主这个软件需要JAVA的支持,所以JAVA的运行环境你需要安装,JAVA的开发库也需要安装,另外你的g++编译没有通过很有可能缺少C++的开发库,推荐你安装libstdc++6-4.3-dev这个库。


_________________
Full Circle中文杂志 | Ubuntu社区独立发行的电子月刊
http://www.freeearth.org.cn


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 软件安装求救!!
帖子发表于 : 2009-06-14 21:06 

注册: 2009-05-24 19:34
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
JAVA 和 libstdc++6-4.3-dev 之前都是装了的。我的系统是9.04。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译